Subject: Re: [Gen-art] Gen-ART telechat review of draft-ietf-soc-overload-control-14.txt

From: Brian E Carpenter <[email-masked]>
Date: Tue, 04 Mar 2014 01:27:58 +1300

I can confirm that the changes in version 15 are fine.

Thanks!

Regards
   Brian

On 19/02/2014 09:12, Vijay K. Gurbani wrote:
> On 02/02/2014 10:18 PM, Brian E Carpenter wrote:
>> Summary:  Almost ready
>> --------
>>
>> Comments:
>> ---------
>> Minor Issue:
>> -----------
>>
>> "5.6.  Forwarding the overload control parameters
>>
>>     Overload control is defined in a hop-by-hop manner.  Therefore,
>>     forwarding the contents of the overload control parameters is
>>     generally NOT RECOMMENDED and should only be performed if permitted
>>     by the configuration of SIP servers.  This means that a SIP proxy
>>     SHOULD strip the overload control parameters inserted by the client
>>     before proxying the request further downstream."
>>
>> I think the reader should be reminded at this point that the proxy also
>> behaves as a client, so will immediately re-insert its own "oc"
>> parameters.
>> (In fact it would be very odd if the proxy supported overload control
>> upstream but not downstream.)  Vijay suggested: I can insert the
>> following
>> sentence as the last sentence of the lone paragraph in S5.6:
>>
>>     "Of course, the proxy can add overload control parameters pertinent
>>      to itself in the Via header it inserts in the request going
>>      downstream."
>>
>> This would be fine.
> 
> Brian: Thank you for the review.  I have added the above sentence.
> 
> I will close the loop and ping you when I release -15 after the
> quarantine period.
> 
> Cheers,
> 
> - vijay